=== debian/changelog ===
dde-dock (5.5.63-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Sat, 13 Aug 2022 14:06:01 +0800

dde-dock (3.0.12) unstable; urgency=low

  * Autobuild Tag 3.0.12 

 -- TagBuilder <tagbuilder@deepin.com>  Fri, 12 Aug 2016 18:46:29 +0000
