=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
export QT_SELECT = qt5

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- \
	  -DHOST_MULTIARCH="$(DEB_HOST_MULTIARCH)"
