## dde-dock 5.5.66

=== debian/changelog ===
dde-dock (5.5.66-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Sat, 27 Aug 2022 10:38:20 +0800
