=== debian/changelog ===
dde-dock (5.5.67-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Thu, 15 Sep 2022 13:08:01 +0800
