## dde-dock 5.5.73

=== plugins/keyboard-layout/CMakeLists.txt ===
--- 
+++ 
@@ -43,4 +43,4 @@
 )
 
 install(TARGETS ${PLUGIN_NAME} LIBRARY DESTINATION lib/dde-dock/plugins/system-trays/)
-install(FILES ./keybord_layout.json DESTINATION /etc/dde-dock/indicator)
+install(FILES ./keybord_layout.json DESTINATION ${CMAKE_INSTALL_SYSCONFDIR}/dde-dock/indicator)
