=== debian/changelog ===
dde-dock (5.5.73-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Thu, 13 Oct 2022 19:40:38 +0800
