=== debian/changelog ===
dde-dock (5.5.77-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Thu, 24 Nov 2022 09:40:43 +0800
