=== plugins/shutdown/CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,10 @@
 project(${PLUGIN_NAME})
 
 # Sources files
-file(GLOB_RECURSE SRCS "*.h" "*.cpp" "../../widgets/*.h" "../../widgets/*.cpp")
+file(GLOB_RECURSE SRCS "*.h" "*.cpp" "../../widgets/*.h" "../../widgets/*.cpp"
+    "../../frame/util/imageutil.h"
+    "../../frame/util/imageutil.cpp"
+    )
 
 find_package(PkgConfig REQUIRED)
 find_package(Qt5Widgets REQUIRED)
