=== debian/changelog ===
dde-dock (5.5.78-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Wed, 30 Nov 2022 17:26:54 +0800
