## dde-dock 5.5.86.1

=== frame/CMakeLists.txt ===
--- 
+++ 
@@ -94,4 +94,7 @@
 # bin
 install(TARGETS ${BIN_NAME} DESTINATION ${CMAKE_INSTALL_BINDIR})
 
+# clear dump record
+install(FILES clearDumpRecord.sh DESTINATION ${CMAKE_INSTALL_SYSCONFDIR}/xdg/autostop/)
+
 dconfig_meta_files(APPID org.deepin.dde.dock FILES ../configs/org.deepin.dde.dock.json)
