=== debian/changelog ===
dde-dock (5.5.86.1-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Tue, 11 Apr 2023 12:09:49 +0800

dde-dock (5.5.81) unstable; urgency=low

  * bump version to 5.5.81

-- yinjie <yinjie@uniontech.com>  Tue, 3 Jan 2023 16:04:21 +0000
