=== debian/control ===
--- 
+++ 
@@ -48,8 +48,7 @@
  dde-disk-mount-plugin,
  dde-dock-onboard-plugin,
  dock-network-plugin,
- dcc-dock-plugin,
- dde-network-dialog
+ dcc-dock-plugin
 Conflicts:
  dde-workspace (<< 2.90.5),
  dde-dock-applets,
